[Unit]
Description=libvirt nwfilter daemon
Documentation=man:virtnwfilterd(8)
Documentation=https://libvirt.org/
BindsTo=virtnwfilterd.socket
Wants=virtnwfilterd-ro.socket
Wants=virtnwfilterd-admin.socket
After=virtnwfilterd.socket
After=virtnwfilterd-ro.socket
After=virtnwfilterd-admin.socket
Conflicts=libvirtd.service
After=libvirtd.service
After=network.target
After=dbus.service
After=apparmor.service

[Service]
Type=notify-reload
Environment=VIRTNWFILTERD_ARGS="--timeout 120"
EnvironmentFile=-/etc/conf.d/virtnwfilterd
ExecStart=/usr/bin/virtnwfilterd $VIRTNWFILTERD_ARGS
ExecReload=/bin/kill -HUP $MAINPID
Restart=on-failure

[Install]
WantedBy=multi-user.target
Also=virtnwfilterd.socket
Also=virtnwfilterd-ro.socket
Also=virtnwfilterd-admin.socket
